| Kea 3.0.2-git

d2_cfg_mgr.h File Reference
`#include <asiolink/io_service.h>`
`#include <cc/data.h>`
`#include <config/http_command_config.h>`
`#include <exceptions/exceptions.h>`
`#include <d2srv/d2_config.h>`
`#include <hooks/hooks_config.h>`
`#include <process/d_cfg_mgr.h>`
`#include <stdint.h>`
`#include <string>`
Include dependency graph for d2_cfg_mgr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::d2::D2CfgContext
| DHCP-DDNS Configuration Context. More...
class | isc::d2::D2CfgMgr
| DHCP-DDNS Configuration Manager. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::d2

## Typedefs
typedef boost::shared_ptr< D2CfgContext > | isc::d2::D2CfgContextPtr
| Pointer to a configuration context.
typedef boost::shared_ptr< D2CfgMgr > | isc::d2::D2CfgMgrPtr
| Defines a shared pointer to D2CfgMgr.
typedef boost::shared_ptr< DdnsDomainListMgr > | isc::d2::DdnsDomainListMgrPtr
| Defines a pointer for DdnsDomain instances.